unit FormatHeader;

interface

Type
  TReadTagProc=function(Var FileName,Title,Artist,Album,Genre,Comment,
                    Data:PChar;Var TagPr:LONGBOOL;
                    Var Time,BitRate:integer;Var TrackNo:byte):boolean;stdcall;
  // Export Name READTAG

  TWriteTagProc=function(Const FileName,Title,Artist,Album,Genre,Comment,
                    Data:PChar;Const TrackNo:byte):boolean;stdcall;
  // Export Name WRITETAG

  TAboutProc=procedure(Var AboutString:PChar);stdcall;

  // Export Name ABOUT

  TGetExt=procedure(Var Ext:PChar);stdcall;

  // Export Name GETEXT

  TGetFileInfo=procedure(Const FileName:PChar;Var info:PChar);stdcall;

  // Export Name GETFILEINFO

  TConfig=procedure(Const Window:THandle);stdcall;

  // Export Name CONFIGURE

Const
  SectionMaxSize = 65535;

  FileExtDelemiter = ','; 

  WriterExportName = 'WRITETAG';
  ReaderExportName = 'READTAG';
  AboutExportName = 'ABOUT';
  GetExtExportName = 'GETEXT';
  GetFileInfoExportName = 'GETFILEINFO';
  ConfigExportName = 'CONFIGURE';

//============    dll ===============//

type

  TBasicInfoRec = packed record
    Size:integer;      //  
    FilePath:PChar;    //   
    Title:PChar;       // 
    Artist:PChar;      // 
    Album:PChar;       // 
    Comment:PChar;     // 
    Genre:PChar;       // 
    Date:PChar;        // 
    Time:integer;      // 
    BitRate:integer;   //  
    TrackNo:byte;      //  
    TagPr:boolean;     //    
  end;

  PBasicInfoRec = ^TBasicInfoRec;


  TApiVersion = function: integer; stdcall;
  //    

  TNotifyProc = function(Const fmReason:integer;Const data:integer): integer; stdcall;
  //  fmReason -    fm_xxxxx

  TTagRead = function(Const Info:PBasicInfoRec):boolean;stdcall;
  //  

  TTagWrite = function(Const Info:PBasicInfoRec):boolean;stdcall;
  //  

Const
  fm_Resume  = 1;  // 
  fm_Suspend = 0;  //  
  


implementation

end.
